SDLADUMP(8)

NAME
sdladump - View memory content of Sangoma multiprotocol WAN adapters

SYNOPSIS
sdladump [ switches ] { device } [ offest ] [ length ]

DESCRIPTION
Sdladump utility displays the content of the on-board memory area of Sangoma WAN cards. This utility comes in handy when the problem cannot be solved by fpipemon or ppipemon. The memory dumps help the Engineers at Sangoma Technologies to debug problems at a very low level. The following is a description on each argument of the command:

switches
    This is an optional argument. If no value is specificed then the sdladump utility does not execute in verbose mode. It can have the following option(s):

    -v
     When this argument is specified the sdladump utility runs in verbose mode.

device
    This is a mandatory argument. The value of this argument requires the WANPIPE device name used in the [devices] section of the router.conf file. You can also retrieve this information from the /proc/net/router/ directory.

offset
    This represents the address of the adapter's on-board memory. The default value is 0.

length
    This argument determines the size of the memory to dump. If no value is specified then the default is 256 bytes.

EXAMPLES
The following shows different variations of the command:

sdladump -v wanpipe3 0xf000
    This will dump 256 bytes from offset 61440 from device wanpipe3

sdladump wanpipe3
    This will dump 256 bytes from offset 0 from device wanpipe3

sdladump wanpipe3 0xe000 620
    This will dump 620 bytes from offset 57344 from device wanpipe3

AUTHOR
Jaspreet Singh <jaspreet@sangoma.com>